# Uses of Interface
org.apache.wiki.StringTransmutator

Packages that use StringTransmutator
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.parser
org.apache.wiki.render
Provides the JSPWiki rendering functionality.

## Uses of StringTransmutator in org.apache.wiki

Classes in org.apache.wiki that implement StringTransmutator
Modifier and Type
Class
Description
`class`
`LinkCollector`
Just a simple class collecting all the links that come in.

## Uses of StringTransmutator in org.apache.wiki.parser

Fields in org.apache.wiki.parser with type parameters of type StringTransmutator
Modifier and Type
Field
Description
`protected final ArrayList<StringTransmutator>`
MarkupParser.`m_attachmentLinkMutatorChain`
`protected final ArrayList<StringTransmutator>`
MarkupParser.`m_externalLinkMutatorChain`
`protected final ArrayList<StringTransmutator>`
MarkupParser.`m_linkMutators`
`protected final ArrayList<StringTransmutator>`
MarkupParser.`m_localLinkMutatorChain`
Optionally stores internal wikilinks
Methods in org.apache.wiki.parser with parameters of type StringTransmutator
Modifier and Type
Method
Description
`void`
MarkupParser.`addAttachmentLinkHook(StringTransmutator mutator)`
Adds a hook for processing attachment links.
`void`
MarkupParser.`addExternalLinkHook(StringTransmutator mutator)`
Adds a hook for processing external links.
`void`
MarkupParser.`addLinkTransmutator(StringTransmutator mutator)`
Adds a hook for processing link texts.
`void`
MarkupParser.`addLocalLinkHook(StringTransmutator mutator)`
Adds a hook for processing local links.
Method parameters in org.apache.wiki.parser with type arguments of type StringTransmutator
Modifier and Type
Method
Description
`protected String`
JSPWikiMarkupParser.`callMutatorChain(Collection<StringTransmutator> list, String text)`
Calls a transmutator chain.

## Uses of StringTransmutator in org.apache.wiki.render

Methods in org.apache.wiki.render with parameters of type StringTransmutator
Modifier and Type
Method
Description
`String`
DefaultRenderingManager.`textToHTML(Context context, String pagedata, StringTransmutator localLinkHook, StringTransmutator extLinkHook, StringTransmutator attLinkHook, boolean parseAccessRules, boolean justParse)`
Helper method for doing the HTML translation.
`default String`
RenderingManager.`textToHTML(Context context, String pagedata, StringTransmutator localLinkHook, StringTransmutator extLinkHook)`
Just convert WikiText to HTML.
`default String`
RenderingManager.`textToHTML(Context context, String pagedata, StringTransmutator localLinkHook, StringTransmutator extLinkHook, StringTransmutator attLinkHook)`
Just convert WikiText to HTML.
`String`
RenderingManager.`textToHTML(Context context, String pagedata, StringTransmutator localLinkHook, StringTransmutator extLinkHook, StringTransmutator attLinkHook, boolean parseAccessRules, boolean justParse)`
Helper method for doing the HTML translation.